Package com.usatiuk.dhfs.repository

# Class DhfsObjectSyncGrpcBean

java.lang.Object
com.usatiuk.dhfs.repository.MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase
com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcBean

All Implemented Interfaces:
  `io.grpc.BindableService`, `io.quarkus.grpc.MutinyBean`

@Generated(value="by Mutiny Grpc generator", comments="Source: dhfs_sync.proto") public class DhfsObjectSyncGrpcBean extends MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase implements io.grpc.BindableService, io.quarkus.grpc.MutinyBean

## Method Summary

Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PingRequest request)`

### Methods inherited from class com.usatiuk.dhfs.repository.MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase

`bindService, withCompression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.grpc.BindableService

`bindService`

## Method Details

### opPush

public io.smallrye.mutiny.Uni<OpPushReply> opPush(OpPushRequest request)

Overrides:
  `opPush` in class `MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`

### getObject

public io.smallrye.mutiny.Uni<GetObjectReply> getObject(GetObjectRequest request)

Overrides:
  `getObject` in class `MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`

### canDelete

public io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(CanDeleteRequest request)

Overrides:
  `canDelete` in class `MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`

### ping

public io.smallrye.mutiny.Uni<PingReply> ping(PingRequest request)

Overrides:
  `ping` in class `MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`